#This is the configuration file for the BigDFT installer
#This is a python script which is executed by the build suite 
 
#Add the condition testing to run tests and includes PyYaml
moduleset = 'bigdft'
conditions.add("testing")
#List the module the this rcfile will build
modules = ['spred',]
#example of the potentialities of the python syntax in this file
def env_configuration():
    return """"FC=gfortran" "FCFLAGS=-O2 -fopenmp -m64"  "CFLAGS=-ldl" "LIBS=-ldl -lstdc++" "-with-ext-linalg=-l/usr/lib/liblapack.so" "-with-ext-blas=-l/usr/lib/libblas.so" """
def shrt_configuration():
    return """"FC=gfortran" "FCFLAGS=-O2 -fopenmp -m64"  "CFLAGS=-ldl" "LIBS=-ldl -lstdc++" "-with-ext-linalg=-l/usr/lib/liblapack.so" "-with-ext-blas=-l/usr/lib/libblas.so" """


#here follow the configuration instructions for the modules built
autogenargs = env_configuration()
